'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * The `Email` component is a very minimal input element.
 * It sets the type to `email` and the `placeholder`
 * to the value of the `placeholder` prop. If no placeholder
 * is set, it will set the placeholder to `email@site.com`.
 *
 * @return {ReactElement} - form wrapper markup
 */
function Email(props) {
  return _react2.default.createElement('input', _extends({
    type: 'email',
    placeholder: props.placeholder ? props.placeholder : 'email@site.com',
    required: true
  }, props));
}

Email.propTypes = {
  placeholder: _propTypes2.default.string,
  className: _propTypes2.default.string
};

exports.default = Email;