'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * The `Submit` component is a very minimal form submit
 * button. It sets the type to `submit` and the `value`
 * to the value of the `title` prop. If no title is set,
 * it will set the title to `Subscribe`.
 *
 * @return {ReactElement} - form wrapper markup
 */
function Submit(props) {
  return _react2.default.createElement('input', _extends({
    type: 'submit',
    value: props.title ? props.title : 'Subscribe'
  }, props));
}

Submit.propTypes = {
  title: _propTypes2.default.string
};

exports.default = Submit;